Bug 1541182 - timidity++-GTK-interface has bad timidity.desktop file
Summary: timidity++-GTK-interface has bad timidity.desktop file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: timidity++
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-02 00:09 UTC by Joel C Ewing
Modified: 2018-06-20 14:48 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-20 13:54:48 UTC


Attachments (Terms of Use)

Description Joel C Ewing 2018-02-02 00:09:44 UTC
Description of problem:
From Files, right-click on a .mid file shows "TiMidity++ GTK UI" as the default application but opening with that default app appears to do nothing.  Executing timidity++ from a terminal command line with "timidity++ -ui <filename>" brings up the GUI interface for timidity++ and plays the file correctly.


Version-Release number of selected component (if applicable):
2.14.0 in the f27 repositories.

How reproducible:
100%

Steps to Reproduce:
1.Try to play any .MID file from the Files app with the default "TiMidity++ GTK UI" application


Actual results:
Nothing happens, no obvious error indications.

Expected results:
GUI interface should start and the .MID file should play.


Additional info:
Comparing the /usr/share/applications/timidity.desktop file with a prior working version shows that the 2.14.0 version contains "Exec=timidity -ig" while a prior working version contains "Exec=timidity -ig %U".  It would appear the f27 2.14.0 version is failing to pass the file name to timidity, so it has nothing to do and immediately terminates.  

Replacing the installed timidity.desktop file with a version that includes the "%U" makes the invocation from Files work correctly.

Comment 1 Hans de Goede 2018-06-11 15:57:50 UTC
Thank you for the bug-report. I'm preparing an update fixing this now.

Comment 2 Fedora Update System 2018-06-12 08:10:55 UTC
timidity++-2.14.0-16.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-303a46d436

Comment 3 Fedora Update System 2018-06-12 08:11:09 UTC
timidity++-2.14.0-16.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c2e288c5f

Comment 4 Fedora Update System 2018-06-12 13:47:22 UTC
timidity++-2.14.0-16.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-303a46d436

Comment 5 Fedora Update System 2018-06-12 15:12:21 UTC
timidity++-2.14.0-16.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c2e288c5f

Comment 6 Fedora Update System 2018-06-20 13:54:48 UTC
timidity++-2.14.0-16.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-06-20 14:48:00 UTC
timidity++-2.14.0-16.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.